Name:           lsyncd
Version:        2.1.4
Release:        1%{?dist}
Summary:        File change monitoring and synchronization daemon
Group:          Applications/Internet
License:        GPLv2+
URL:            http://code.google.com/p/lsyncd/
Source0:        http://lsyncd.googlecode.com/files/%{name}-%{version}.tar.gz

Source1: %{name}.init
Source3: %{name}.sysconfig
Source4: %{name}.logrotate
Source5: %{name}.conf

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  lua-devel >= 5.1.3
BuildRequires:  asciidoc
Requires: lua
Requires: rsync, openssh-clients

Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts

%description
Lsyncd watches a local directory trees event monitor interface (inotify). 
It aggregates and combines events for a few seconds and then spawns one 
(or more) process(es) to synchronize the changes. By default this is 
rsync.

Lsyncd is thus a light-weight live mirror solution that is comparatively 
easy to install not requiring new file systems or block devices and does
not hamper local file system performance.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d 0755 %{buildroot}%{_initrddir} 
install -p -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/lsyncd
install -p -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -d -m 0755 %{buildroot}%{_localstatedir}/run/%{name}
install -p -D -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -p -D -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_mandir}/man1/lsyncd.1*
%doc COPYING ChangeLog examples
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%dir %{_localstatedir}/run/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/lsyncd
%exclude %{_docdir}/lsyncd

%post
/sbin/chkconfig --add %{name}
mkdir -p

%preun
if [ "$1" -eq 0 ]; then
        /sbin/service %{name} stop >/dev/null 2>&1
        /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%changelog
* Fri Dec 21 2012 Paul Wouters <pwouters@redhat.com> - 2.1.4-1
- Updated to 2.1.4
- Merged in changes of rhbz#805849
- Fixed URL/Source
- Added initscripts
- Removed prelink/executestack handling - gcc should handle it
  (and prelink causes FIPS issues)

* Fri Apr 29 2011 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 2.0.4-1
- Initial packaging
